Bug 202230 - Port Update: version update for lang/qore
Summary: Port Update: version update for lang/qore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-10 21:17 UTC by estrabd
Modified: 2015-08-22 11:28 UTC (History)
3 users (show)

See Also:


Attachments
svn-diff of requested changes to lang/qore (1.45 KB, patch)
2015-08-21 17:20 UTC, estrabd
estrabd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description estrabd 2015-08-10 21:17:48 UTC
Below is the relevant diff. Please note that the singular patch current located in lang/qore/files was removed because it is no longer necessary. Thank you:



diff -u qore.orig/Makefile qore/Makefile
--- qore.orig/Makefile  2015-07-30 21:59:03.000000000 -0500
+++ qore/Makefile       2015-07-30 21:58:49.000000000 -0500
@@ -1,7 +1,7 @@
 # $FreeBSD: head/lang/qore/Makefile 382211 2015-03-25 12:58:33Z marino $

 PORTNAME=      qore
-PORTVERSION=   0.8.8
+PORTVERSION=   0.8.11
 PORTREVISION=  1
 CATEGORIES=    lang
 MASTER_SITES=  SF/qore/qore/${PORTVERSION}/
diff -u qore.orig/distinfo qore/distinfo
--- qore.orig/distinfo  2015-07-30 21:59:03.000000000 -0500
+++ qore/distinfo       2015-07-30 21:58:49.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (qore-0.8.8.tar.bz2) = d099bd7d14751a8d9529937116e0170b26dd431996b86bf2aa9568b661f89111
-SIZE (qore-0.8.8.tar.bz2) = 14351424
+SHA256 (qore-0.8.11.tar.bz2) = ce55fe2fa2bb85fd77cefe45d190d431fa5c6dcbd00cc4be499082130b755ae3
+SIZE (qore-0.8.11.tar.bz2) = 20074057
Only in qore.orig: files
Comment 1 Jason Unovitch freebsd_committer 2015-08-20 17:35:14 UTC
Hello.

- An attachment is preferred over having the patch inline. A SVN patch where you do SVN rm would be best since you removed the files directory.
- Remove PORTREVISION since you updated the  PORTVERSION.
- Include 'portlint -ac' and QA output (ideally a 'poudriere testport' or 'poudriere bulk -t')

More details are in the Porter's Handbook.

I am currently traveling for a couple day so for any committer that looks at this feel free to take it.
Comment 2 estrabd 2015-08-21 17:20:08 UTC
Created attachment 160183 [details]
svn-diff of requested changes to lang/qore

Adding the svn-diff as an attachment.

I update the changes with the suggestions below.

Output of portlint:

$ portlint -ac
looks fine.

I did not attempt to use poudriere. Maybe next time.

Thank you,
Brett
Comment 3 Muhammad Moinur Rahman freebsd_committer 2015-08-21 18:01:10 UTC
There are pkg-plist issues please recheck.
Comment 4 commit-hook freebsd_committer 2015-08-22 11:25:54 UTC
A commit references this bug:

Author: bofh
Date: Sat Aug 22 11:25:47 UTC 2015
New revision: 395028
URL: https://svnweb.freebsd.org/changeset/ports/395028

Log:
  lang/qore: Update version 0.8.8=>0.8.11

  - Strip library

  PR:		202230
  Submitted by:	estrabd@gmail.com

Changes:
  head/lang/qore/Makefile
  head/lang/qore/distinfo
  head/lang/qore/files/
  head/lang/qore/pkg-plist
Comment 5 Muhammad Moinur Rahman freebsd_committer 2015-08-22 11:28:23 UTC
Committed with changes. Please check with poudriere or some builders in the future as it had so many files missing in pkg-plist.